<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acceso_denegado.php');
		}



$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$nomb = $row["usu"];
$cod= $row["codusu"];
		
$numrec=$_GET["numrec"];

 $hoy    =date("y-m-d");
	//////////////////////////////////////////////////////////  Modifica la el saldo en la 2101  CXC //////////////////////////////////////////

$sel_lineas="SELECT * FROM pagos_proveedores_recibos_lineas WHERE numrec='$numrec' ORDER BY numlinea ASC";
if ($resultado = $mysqli->query($sel_lineas)) 

    while ($fila = $resultado->fetch_assoc()) {

	    $cdgpro   = $fila["cdgpro"];
        $numfac   = $fila["numfac"];
		$monabo   = $fila["monabo"];
			
		$sel_saldoactual="SELECT  salact, dscpro, fecfac  FROM web_2201 WHERE numfac = $numfac AND cdgpro = $cdgpro  ";
		$resultado2 = $mysqli->query($sel_saldoactual);
		$fila2 = $resultado2->fetch_array();

		$total  = $fila2["salact"];
		$dscpro = $fila2["dscpro"];
		$fecfac = $fila2["fecfac"];
					
			
		$nuevosaldo = $total +  $monabo ;
  
	  $sel_anulacion="UPDATE web_2201 SET salact='$nuevosaldo' WHERE numfac='$numfac' AND cdgpro = $cdgpro ";
	  $mysqli->query($sel_anulacion);
	

}	

		/////////////////////////////////////////////////////////// Modifica el saldo en la  0301 clientes ///////////////////////////////////////////
		
		$sel_Saldo="SELECT  Sum(salact) AS totalfac FROM web_2201 WHERE cdgpro = $cdgpro";
		$resultado3 = $mysqli->query($sel_Saldo);
		$fila3 = $resultado3->fetch_array();	
		
		$suma = $fila3["totalfac"];
		

	    $sel_abono="UPDATE proveedores SET salact='$suma' WHERE cdgpro = $cdgpro";
	     $mysqli->query($sel_abono);
		
		$query="UPDATE pagos_proveedores SET estrec='0', montot='0', monint='0', monabo='0', nomusu='$nomb',  fecmod='$hoy' WHERE numrec='$numrec'";
	$mysqli->query($query);
	

			
	?>
<html>
	<head>
		<title>Factura Nula</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
	    function cancelar() {
			location.href="index.php";
		}
		
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}



		</script>








</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               Factura Anulada Exitosamente 
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>



